Defines event `sessionDisconnected` dispatched by Session

### Hierarchy

- Event
  - SessionDisconnectedEvent

## Index

### Properties

- cancelable
- reason
- target
- type

### Methods

- isDefaultPrevented
- preventDefault

## Properties

### cancelable

cancelable: boolean

Inherited from Event.cancelable

- Defined in OpenViduInternal/Events/Event.ts:26

Whether the event has a default behavior that may be prevented by calling Event.preventDefault

### reason

reason: string

- Defined in OpenViduInternal/Events/SessionDisconnectedEvent.ts:34

- "disconnect": you have called `Session.disconnect()`
- "forceDisconnectByUser": you have been evicted from the Session by other user calling `Session.forceDisconnect()`
- "forceDisconnectByServer": you have been evicted from the Session by the application
- "sessionClosedByServer": the Session has been closed by the application
- "networkDisconnect": your network connection has dropped

### target

target: Session | StreamManager

Inherited from Event.target

- Defined in OpenViduInternal/Events/Event.ts:31

The object that dispatched the event

### type

type: string

Inherited from Event.type

- Defined in OpenViduInternal/Events/Event.ts:36

The type of event. This is the same string you pass as first parameter when calling method `on()` of any object implementing EventDispatcher interface

## Methods

### isDefaultPrevented

- isDefaultPrevented(): boolean

- Inherited from Event.isDefaultPrevented

  - Defined in OpenViduInternal/Events/Event.ts:52

  Whether the default beahivour of the event has been prevented or not. Call Event.preventDefault to prevent it

  #### Returns boolean

### preventDefault

- preventDefault(): void

- Inherited from Event.preventDefault

  - Defined in OpenViduInternal/Events/Event.ts:70

  Prevents the default behavior of the event. The following events have a default behavior:

  - `sessionDisconnected`: dispatched by Session object, automatically unsubscribes the leaving participant from every Subscriber object of the session (this includes closing the WebRTCPeer connection and disposing all MediaStreamTracks) and also deletes any HTML video element associated to each Subscriber (only those created by OpenVidu Browser, either by passing a valid parameter as `targetElement` in method Session.subscribe or by calling Subscriber.createVideoElement). For every video removed, each Subscriber object will also dispatch a `videoElementDestroyed` event.

  - `streamDestroyed`:

    - If dispatched by a Publisher (you have unpublished): automatically stops all media tracks and deletes any HTML video element associated to it (only those created by OpenVidu Browser, either by passing a valid parameter as `targetElement` in method OpenVidu.initPublisher or by calling Publisher.createVideoElement). For every video removed, the Publisher object will also dispatch a `videoElementDestroyed` event.
    - If dispatched by Session (other user has unpublished): automatically unsubscribes the proper Subscriber object from the session (this includes closing the WebRTCPeer connection and disposing all MediaStreamTracks) and also deletes any HTML video element associated to that Subscriber (only those created by OpenVidu Browser, either by passing a valid parameter as `targetElement` in method Session.subscribe or by calling Subscriber.createVideoElement). For every video removed, the Subscriber object will also dispatch a `videoElementDestroyed` event.

  #### Returns void

Generated using TypeDoc